Timezone fix

Forum members shinobar and ramachandran reported that timezone files are missing out of /usr/share/zoneinfo. This problem is in Precise Puppy beta3, not in beta2.

Beta3 is built from upgraded 12.04.1 DEBs, and the 'tzdata' package has been updated, which is the culprit.

The layout of files in /usr/share/zoneinfo has changed dramatically. If this change has been done by the 'tzdata' developers, not Debian or Ubuntu developers, then this problem is going to affect all Puppy builds as they move to latest tzdata.

I have fixed the 'glibc' template in Woof, so now all files are in /usr/share/zoneinfo.

Woof commit:
http://bkhome.org/fossil/woof2.cgi/info/1487d9a91e



Posted on 29 Aug 2012, 8:24 - Category: Woof - 1 Comment

/dev/sda16+ not recognized

Forum member eps reported this. It applies to all puppies.

The nodes in /dev in the initrd are static, and only go up to sda15. Thus, if a hard drive has more partitions, they are not recognized.

After bootup, when the main filesystem is running, the kernel will auto-create the extra nodes if new hardware is plugged in, but not in the case of an internal drive present at bootup.

However, eps found that running Gparted does cause the extra device nodes to be created.

In Woof, I have created extra nodes for the initrd, up to sda23. I also did the same thing for the main filesystem.

Woof commit:
http://bkhome.org/fossil/woof2.cgi/info/1d56dff622


Posted on 28 Aug 2012, 21:34 - Category: Woof - 6 Comments

Precise puppy beta4 coming

Probably tomorrow.

I think that maybe the Radeon problems are sorted out, judging from feedback so far. I intend to build two beta4's:

1. non-PAE kernel, Radeon without KMS.
2. PAE kernel, Radeon with KMS.

Number 1 will suit older hardware.

From feedback, it seems that the Ubuntu Radeon package doesn't need llvm. It seems that my 'z_mesa' PET has removed that requirement.
So, #2 will get built with the Ubuntu ATI/Radeon DEBs, #1 with my 'z_xf86-video-ati' PET.

There does seem to be a problem with timezones, reported by shinobar. This seems to be due to the upgraded DEBs, from 12.04 to 12.04.1. I will await shinobar's feedback (on the Precise Puppy Forum thread) and fix this, before building beta4.


Posted on 28 Aug 2012, 16:31 - Category: Puppy - 6 Comments

rerwin: 3+ fixes

There were a couple of oversights in my previous application of rerwin's '3' and '3a' fixes for Woof, as rerwin has posted about here:
http://murga-linux.com/puppy/viewtopic.php?t=76961&start=330

I have applied those fixes. I also found a "-E" is needed for grep on one line, otherwise the search will always return nothing, in script functions4puppy4.

Explanation: a default grep expression treats "|" as just another string character, whereas extended-regular-expression treats it as a OR operation (latter is what we want).

Woof commit:
http://bkhome.org/fossil/woof2.cgi/info/4ca1741e19


Posted on 31 Aug 2012, 15:41 - Category: Woof - No comments

PET uploads

Pfind 5.04 (zigbert)
radeon_firmware 120813 (01micko)
gimp 2.8.2 (scabz)


PETS (18KB, 14KB, 9.6MB):
http://distro.ibiblio.org/quirky/pet_packages-noarch/pfind-5.04.pet
http://distro.ibiblio.org/quirky/pet_packages-noarch/radeon_firmware-120813.pet
http://distro.ibiblio.org/quirky/pet_packages-precise/gimp-2.8.2-precise.pet

The Gimp PET includes 'babl' and 'gegl' dependencies, so nothing else needed to install.

01micko has been investigating problems with Radeon video on Precise Puppy beta3, and found firmware needed, see Forum thread:
http://murga-linux.com/puppy/viewtopic.php?t=76961&start=315

Note, for further testing of Radeon video, I plan to upload a "beta4" tomorrow, with a non-PAE kernel, and KMS disabled.


Posted on 28 Aug 2012, 15:06 - Category: Puppy - No comments

PPM: mark already-installed pkgs

01micko discovered a bug in the Puppy Package Manager, running Precise Puppy beta3. A search for "xserver-xorg-video-radeon" has a hit, however that package is already installed. There was no indication of that fact, furthermore, clicking the 'Examine dependencies' button did not work.

Now, the icon of an already-installed package displays the /usr/local/lib/X11/mini-icons/mini-tick.xpm icon, also the string "(ALREADY INSTALLED)" is prefixed to the description field.

Also, the 'Examine dependencies' button is removed for an already-installed package. The package can still be installed however, in case there is a need to re-install it.

Woof commit:
http://bkhome.org/fossil/woof2.cgi/info/e93ae86ff9


Posted on 27 Aug 2012, 22:54 - Category: Woof - No comments

Woof commit 2012-08-25

This is Woof used to build Precise Puppy 5.2.69 (beta3).

Last three commits:
http://bkhome.org/fossil/woof2.cgi/info/7e6b7ee930
http://bkhome.org/fossil/woof2.cgi/info/158e3df752
http://bkhome.org/fossil/woof2.cgi/info/cd7d41afb1


Posted on 26 Aug 2012, 15:42 - Category: Woof - No comments

Precise Puppy 5.2.69 (beta3)

Precise Puppy beta2 was released on June 6, 2012, see blog announcement:
http://bkhome.org/blog/?viewDetailed=02860

I was involved in various other things for awhile, now back on developing the x86 Precise Puppy. Version 5.2.69 (beta3) is now available.

Download from here:
http://distro.ibiblio.org/quirky/test/precise-5.2.69/

Beta3 has the 3.2.28 kernel, PAE-enabled. See blog post:
http://bkhome.org/blog/?viewDetailed=02961

Note, I am thinking of releasing Precise Puppy final with this kernel, plus another build with a non-PAE kernel. The latter will suit some older CPUs, and I will also set the default for Radeon video to non-KMS, and build the SFS with gzip compression (rather than xz), again to suit older hardware.

Beta3 has been built from Ubuntu Precise Pangolin 12.04.1 DEBs, plus many PETs that we have compiled ourselves. That is, I have used the latest DEBs from the recently-released Ubuntu Precise Pangolin upgrade (or Service Pack 1 if you want to call it that).

I am using beta3 right now, it looks good. We need a desktop background and a new theme for the RC...


Posted on 26 Aug 2012, 11:07 - Category: Puppy - 17 Comments

Various updates

I am getting ready to build Precise Puppy beta3, so doing an update of various packages:

GetFlash 1.1 (shinobar)
Pburn 3.7.4 (zigbert)
pfilesearch 1.32 (zigbert)
NO Pfind 5.04 -- did not upgrade, zigbert's pet corrupted.
Pfind 5.01 (zigbert) -- note, removed trailing comma from pet.specs deps field.
Pmusic 2.6.5 (zigbert) -- note, slight modif. to pinstall.sh
Pprocess 2.3.2 9zigbert) -- note, removed trailing comma from pet.specs deps field.


I also added this DEB package to Precise Puppy:

gpart
http://murga-linux.com/puppy/viewtopic.php?t=80251


Posted on 25 Aug 2012, 12:31 - Category: Puppy - 9 Comments

usb-modeswitch 1.2.4

Rerwin has upgraded usb-modeswitch to version 1.2.4 (my latest PET was 1.2.1). He has also enhanced the 'pinstall.sh' script to make some customizations that I had previously done manually. I just made one tiny change to pinstall.sh.

Forum post:
http://www.murga-linux.com/puppy/viewtopic.php?p=647379#647379

PETs uploaded (30KB, 15KB):
http://distro.ibiblio.org/quirky/pet_packages-common/usb-modeswitch-1.2.4-up.pet
http://distro.ibiblio.org/quirky/pet_packages-noarch/usb-modeswitch-data-20120815.pet


Posted on 24 Aug 2012, 18:07 - Category: Puppy - No comments

Pages: ... [11] [12] [13] [14] [15] [16] ...